<!DOCTYPE html>
<html lang="en-ES">
  <head>
      <title>AJAX</title>
      <meta name='viewport' content='width=device-width, initial-scale=1.0, user-scalable=0'>
  <style>
    body{
        background-color: #212121;
        color: white;
        display: flex;
        align-content: center;
        justify-content: center;
        padding: 0;
        margin: 0;
    }
    ul{
      list-style-type: none;
    }
    button{
        height: 92.4%;
        display: none;
        margin-right: 1%;
        transition: all 0.5s ease;
        background: black;
        border: 1px solid #323232;
        border-radius: 1%;
        color: white;
    }
    button:hover, .submit-button:hover{
      background-color: #fff;
      color: #000;
      border: 1px solid black;
      cursor: pointer;
    }
    .user-block{
          display: inline-flex;
        width: min-content;
        text-align: center;
      transition: all 1s ease;
        align-items: center;
    }
    .user-block li{
      padding: 20px;
    }
    .user-block:hover button{
      display: inline;
    }
    .users-list{
          width: 100px;
        display: inline-flex;
        flex-direction: row;
        flex-wrap: wrap;
        align-content: center;
        justify-content: center;
    }
    .user-description{
        width: min-content;
        margin: 10px;
        display: grid;
        background: black;
        padding: 10px;
        grid-auto-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
        grid-auto-rows: 1fr 1fr;
        border: 1px solid #323232;
        border-radius: 1%;
    }
    .username{
      grid-column: span 6;
    }

    .preloader {
      /*фиксированное позиционирование*/
      position: fixed;
      /* координаты положения */
      left: 0;
      top: 0;
      right: 0;
      bottom: 0;
      /* фоновый цвет элемента */
      background: rgba(0, 0, 0, 0.7);
      /* размещаем блок над всеми элементами на странице (это значение должно быть больше, чем у любого другого позиционированного элемента на странице) */
      z-index: 1001;
    }

    .preloader__row {
      position: relative;
      top: 50%;
      left: 50%;
      width: 70px;
      height: 70px;
      margin-top: -35px;
      margin-left: -35px;
      text-align: center;
      animation: preloader-rotate 2s infinite linear;
    }

    .preloader__item {
      position: absolute;
      display: inline-block;
      top: 0;
      background-color: black;
      border: 1px solid gray;
      border-radius: 100%;
      width: 35px;
      height: 35px;
      animation: preloader-bounce 2s infinite ease-in-out;
    }

    .preloader__item:last-child {
      top: auto;
      bottom: 0;
      animation-delay: -1s;
    }

    @keyframes preloader-rotate {
      100% {
        transform: rotate(360deg);
      }
    }

    @keyframes preloader-bounce {

      0%,
      100% {
        transform: scale(0);
      }

      50% {
        transform: scale(1);
      }
    }

    .loaded_hiding .preloader {
      transition: 0.3s opacity;
      opacity: 0;
    }

    .loaded .preloader {
      display: none;
    }
    .edit-menu{
        position: fixed;
        transform: translate(48%, 35%);
        width: 50%;
        background: gray;
        text-align: center;
        padding: 1vw;
    }
    .bg{
      display: none;
        width: 100%;
        height: 100vw;
        background: rgba(0, 0, 0, 0.7);
        position: fixed;
    }
    .field{
        margin: 1%;
        padding: 0.7vw;
        width: 21vw;
    }
    .submit-button{
      display: inline-block;
        width: 30%;
        height: 30px;
        background: black;
        color: white;
        border: none;
        margin-top: 1vw;
    }

  </style>

  </head>

  <body>
  <div class="preloader">
    <div class="preloader__row">
      <div class="preloader__item"></div>
      <div class="preloader__item"></div>
    </div>
  </div>
  <div class="bg">
    <div class="edit-menu">
    <h2>Edit Menu</h2>
    <form>
      <input type="text" placeholder="Username" name="Username" class="username-field field">
      <input type="text" placeholder="Name" name="Name" class="name-field field">
      <input type="text" placeholder="Id" name="Id" class="id-field field">
      <input type="email" placeholder="Email" name="Email" class="email-field field">
      <input type="tel" placeholder="Phone" name="Phone" class="phone-field field">
      <input type="text" placeholder="WebSite" name="Website" class="website-field field">
      <button class="submit-button" type="button">Ok</button>
    </form>
  </div>
  </div>

  
  <ul class="users-list">
    <li class="user-block" id="1">
      <ul class="user-description">
        <li class="username"></li>
        <li class="name"></li>
        <li class="id"></li>
        <li class="email"></li>
        <li class="phone"></li>
        <li class="website"></li>
      </ul>
      <button class="edit">Edit</button>
      <button class="delete">Delete</button>
    </li>
    <li class="user-block" id="2">
      <ul class="user-description">
        <li class="username"></li>
        <li class="name"></li>
        <li class="id"></li>
        <li class="email"></li>
        <li class="phone"></li>
        <li class="website"></li>
      </ul>
      <button class="edit">Edit</button>
      <button class="delete">Delete</button>
    </li>
    <li class="user-block" id="3">
      <ul class="user-description">
        <li class="username"></li>
        <li class="name"></li>
        <li class="id"></li>
        <li class="email"></li>
        <li class="phone"></li>
        <li class="website"></li>
      </ul>
      <button class="edit">Edit</button>
      <button class="delete">Delete</button>
    </li>
    <li class="user-block" id="4">
      <ul class="user-description">
        <li class="username"></li>
        <li class="name"></li>
        <li class="id"></li>
        <li class="email"></li>
        <li class="phone"></li>
        <li class="website"></li>
      </ul>
      <button class="edit">Edit</button>
      <button class="delete">Delete</button>
    </li>
    <li class="user-block" id="5">
      <ul class="user-description">
        <li class="username"></li>
        <li class="name"></li>
        <li class="id"></li>
        <li class="email"></li>
        <li class="phone"></li>
        <li class="website"></li>
      </ul>
      <button class="edit">Edit</button>
      <button class="delete">Delete</button>
    </li>
    <li class="user-block" id="6">
      <ul class="user-description">
        <li class="username"></li>
        <li class="name"></li>
        <li class="id"></li>
        <li class="email"></li>
        <li class="phone"></li>
        <li class="website"></li>
      </ul>
      <button class="edit">Edit</button>
      <button class="delete">Delete</button>
    </li>
    <li class="user-block" id="7">
      <ul class="user-description">
        <li class="username"></li>
        <li class="name"></li>
        <li class="id"></li>
        <li class="email"></li>
        <li class="phone"></li>
        <li class="website"></li>
      </ul>
      <button class="edit">Edit</button>
      <button class="delete">Delete</button>
    </li>
    <li class="user-block" id="8">
      <ul class="user-description">
        <li class="username"></li>
        <li class="name"></li>
        <li class="id"></li>
        <li class="email"></li>
        <li class="phone"></li>
        <li class="website"></li>
      </ul>
      <button class="edit">Edit</button>
      <button class="delete">Delete</button>
    </li>
    <li class="user-block" id="9">
      <ul class="user-description">
        <li class="username"></li>
        <li class="name"></li>
        <li class="id"></li>
        <li class="email"></li>
        <li class="phone"></li>
        <li class="website"></li>
      </ul>
      <button class="edit">Edit</button>
      <button class="delete">Delete</button>
    </li>
    <li class="user-block" id="10">
      <ul class="user-description">
        <li class="username"></li>
        <li class="name"></li>
        <li class="id"></li>
        <li class="email"></li>
        <li class="phone"></li>
        <li class="website"></li>
      </ul>
      <button class="edit">Edit</button>
      <button class="delete">Delete</button>
    </li>
  </ul>


    <script src="js/index.js"></script>
  </body>
</html>
